Directory

← Back

Viritin-Compatbility

This add-on contains Vaadin 7 compatibility components from Viritin

Author

Rating

Popularity

<100

This add-on contains helper for Viritin users who are upgrading to Vaadin 8 and want to do that with minimal effort. The package contains all old components and helpers that require vaadin-compatibility-server package.

To use them, you'll need to replace all package names so that for example MTextField compatible with v7 stuff is imported from org.vaadin.viritinv7.fields instead of org.vaadin.viritin.fields

Compatibility

1.0
(24.3)
(24.2)
(24.1)
(24)
(23)
(22)
(21)
(20)
(19)
(18)
(17)
(16)
(15)
(14)
(13)
(12)
(11)
(10)
8.1-8.21Y
(8.0)
(7.7)
(7.6)
(7.5)
(7.4)
(7.3)
(7.2)
(7.1)
(7.0)
(6.8)
(6.7)
(6.6)
(6.5)
(6.4)
(6.3)
(6.2)
(6.1)
(6.0)

Was this helpful? Need more help?
Leave a comment or a question below. You can also join the chat on Discord or ask questions on StackOverflow.

Version

Released
2017-11-16
Maturity
STABLE
License
Apache License 2.0

Compatibility

Framework
Vaadin 8.1+
Browser
Browser Independent

Viritin-Compatbility - Vaadin Add-on Directory

This add-on contains Vaadin 7 compatibility components from Viritin Viritin-Compatbility - Vaadin Add-on Directory
This add-on contains helper for Viritin users who are upgrading to Vaadin 8 and want to do that with minimal effort. The package contains all old components and helpers that require vaadin-compatibility-server package. To use them, you'll need to replace all package names so that for example MTextField compatible with v7 stuff is imported from org.vaadin.viritinv7.fields instead of org.vaadin.viritin.fields
Online